@echo off
setlocal enabledelayedexpansion
pushd %~dp0..
set HOME_DIR=%CD%
popd

set JAVA_HOME=%HOME_DIR%/../../middleware/jdk
set JAVA="%JAVA_HOME%/bin/java"
set JAVA_OPTS=-server -Xms512m -Xmx512m -XX:MaxPermSize=128m -XX:+UseParNewGC -XX:+UseConcMarkSweepGC -XX:+UseCMSCompactAtFullCollection -XX:CMSFullGCsBeforeCompaction=0 -XX:+CMSClassUnloadingEnabled -XX:+CMSParallelRemarkEnabled  -XX:CMSInitiatingOccupancyFraction=80 -XX:+PrintClassHistogram -XX:+PrintGCDetails -XX:+PrintGCTimeStamps -XX:+PrintHeapAtGC -Xloggc:%HOME_DIR%/gc.log
set JAR_FILE=%HOME_DIR%/lib/gamelet-0.0.1-SNAPSHOT.jar
set SPRING_OPTS=-Dloader.path=%HOME_DIR%/config/ -Dspring.config.location=%HOME_DIR%/config/
set PROJECT_OPTS=-Dio.netty.leakDetection.level=PARANOID -Dio.netty.maxDirectMemory=1073741824 -Dio.netty.recycler.maxCapacityPerThread=0 -Dio.netty.recycler.maxCapacity=0 -Dsun.misc.URLClassPath.disableJarChecking=true

set COMMAND=%JAVA% %JAVA_OPTS% %PROJECT_OPTS% %SPRING_OPTS% -jar %JAR_FILE%
echo.
echo %COMMAND%
echo.
%COMMAND%

endlocal
